Отказ в обслуживании в реализации GLOB_LIMIT в NetBSD

Дата публикации:
08.10.2010
Дата изменения:
08.10.2010
Всего просмотров:
1119
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:S/C:N/I:N/A:C/E:P/RL:O/RC:C) = Base:6.8/Temporal:5.3
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
PoC код
Уязвимые продукты:
NetBSD 4.0
NetBSD 5.0
Уязвимые версии: NetBSD 4.0, 4.0.1, 5.0, 5.0.2

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании системы.

Уязвимость существует из-за недостаточной реализации GLOB_LIMIT. Удаленный пользователь может с помощью специально сформированных шаблонов в командах, передаваемых ftp и sftp процессам, потребить все доступные ресурсы процессора на системе. Примеры команды:
*/../*/../*/../*/../*/../*/../*
*/{..,..,..}/*/{..,..,..}/*/{..,..,..}/*/{..,..,..}/*

URL производителя: netbsd.org

Решение: Установите исправление из CVS репозитория производителя.

Ссылки: http://ftp.netbsd.org/pub/NetBSD/security/advisories/NetBSD-SA2010-008.txt.asc

или введите имя

CAPTCHA